package cn.superdesk.uniorder.dao.mapper.order;

import cn.superdesk.uniorder.dao.entity.order.ExpressCompany;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExpressCompanyMapper {

	int deleteByPrimaryKey(Long id);

	int insert(ExpressCompany record);

	int insertSelective(ExpressCompany record);

	ExpressCompany selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(ExpressCompany record);

	int updateByPrimaryKey(ExpressCompany record);

	List<ExpressCompany> findAll();

	List<ExpressCompany> selectByCompanyName(@Param("companyName") String companyName);
}